package org.prlab.idic.privacypolicy.ble;

import android.bluetooth.BluetoothDevice;
import android.bluetooth.BluetoothGatt;

/**
 * Created by IDIC on 2017/2/21.
 */
public interface BLECustomScript {

    void onDiscoverServiceCompleted(BluetoothGatt gatt);
    void onWriteCompleted(BluetoothGatt gatt, int status, byte[] values);
    void onReadCompleted(BluetoothGatt gatt, int status, byte[] values);
    void onPairRequestReceived(BluetoothDevice device, int pin);
    void onPaired(BluetoothDevice device);
    void onUnpaired(BluetoothDevice device);

}
